.footer {
    background-color: #076F7A;
    padding: 5.2rem 25.8rem 1.7rem 25.9rem;
    position: relative;
}

.footer__link {
    display: flex;
    gap: 12.7rem;
    margin-bottom: 6.285rem;
}

.footer__logo {
    display: flex;
    gap: 2.3rem;
    align-items: center;
}

.footer__logo a:nth-child(1) img{
    width: 19.4rem;
    height: 7.6rem;
    background-color: #FFFFFF;
}

.footer__logo a:nth-child(2) img{
    width: 16.9rem;
    height: 7.6rem;
    background-color: #FFFFFF;
}

.footer__logo a:nth-child(3) img{
    width: 27rem;
    background-color: #FFFFFF;
}

.footer__link ul {
    display: flex;
    align-items: center;
    color: #FFFFFF;
    font-size: 2.1rem;
    font-weight: 500;
    gap: 5.9rem;
}

.footer__info {
    font-size: 2rem;
    font-weight: 500;
    font-family: "Noto Serif JP", serif;
    display: flex;
    color: #FFFFFF;
    align-items: center;
    margin-left: 24.5rem;
    margin-bottom: 6.915rem;
}

.footer__info h2 {
    font-size: 2rem;
}

.footer__info a {
    margin-left: 5.7rem;
}

.footer__info p {
    margin-left: 3.2rem;
}

.footer small {
    display: inline-block;
    width: 100%;
    text-align: center;
    color: #FFFFFF;
    font-size: 1.4rem;
    font-weight: 400;
}

.top_button {
    width: 10.3rem;
    height: 10.3rem;
    border-radius: 50%;
    background-color: #FF014A;
    font-size: 2.1rem;
    font-weight: 900;
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    line-height: 2.3rem;
    position: absolute;
    right: 10rem;
    top: -5rem;
}

@media screen and (max-width: 699.98px) {
    .footer {
        width: 37.5rem;
        overflow: hidden;
        padding: 3.8rem 2rem 1.2rem;
    }

    .top_button {
        display: none;
    }

    .footer__link {
        flex-direction: column;
        gap: 4.5rem;
        margin-bottom: 3.5rem;
    }

    .footer__logo {
        flex-wrap: wrap;
        justify-content: center;
    }

    .footer__logo img:nth-child(1) {
        width: 16.5rem;
        height: 6.4rem;
    }

    .footer__logo img:nth-child(2) {
        width: 14.7rem;
        height: 6.4rem;
    }

    .footer__logo img:nth-child(3) {
        width: 33.6rem;
    }

    .footer__link ul {
        flex-wrap: wrap;
        gap: 1.4rem 6rem;
        justify-content: center;
        font-size: 1.6rem;
    }

    .footer__link li  {
        width: 8.3rem;
    }

    .footer__info{
        margin: 0 auto 5.5rem;
        flex-direction: column;
        text-align: center;
        gap: 1rem;
    }

    .footer__info a,
    .footer__info p{
        font-size: 1.6rem;
        letter-spacing: 0.08rem;
    }
}